<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, ArchLinux" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Řešení chyb s klíči v Arch Linux a EndeavourOS</title>
</head>
<body>
<?php require "assets/header.php"; ?>
<main>
    <section class="welcome">
        <h1>Řešení chyb s klíči v Arch Linux a EndeavourOS</h1>
        <p>Pokud při aktualizaci nebo instalaci dostáváte chyby jako “Nelze aktualizovat: podpis od *** má nedostatečnou důvěru” nebo “neplatný či poškozený balíček”, postupujte následovně pro řešení.</p>
        <img src="./img/archos-key.png" alt="" style="width: 50%;height: auto;">
        <h2>1. Aktualizace klíčů pro podepisování balíčků</h2>
        <p>Pro zajištění správného ověření balíčků je potřeba aktualizovat klíče pro Arch Linux i EndeavourOS.</p>
        <p>Uživatelé <strong>EndeavourOS</strong> by měli použít následující příkaz pro aktualizaci obou klíčových balíčků:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -Sy archlinux-keyring endeavouros-keyring
        </pre>
        </div>
        <p>Pokud používáte čistý <strong>Arch Linux</strong>, stačí aktualizovat pouze archlinux-keyring:</p>
        <div class="code-box">
          <pre id="code-content">
          sudo pacman -Sy archlinux-keyring
        </pre>
        </div>
        <p>⚠️ <strong>Tip</strong>: Zkontrolujte, že je systémový čas správně nastavený, protože nesprávný čas může způsobit problémy s klíči.</p>
        <h2>2. Kontrola a odstranění poškozených balíčků</h2>
        
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            17.4.2024</code
    </section>
</main>
<?php require "assets/returnbutton.php"; ?>
<?php require "assets/footer.php"; ?>
<script src="assets/script.js"></script>
</body>
</html>
